<html>
<!--    cibl&eacute; par: client.php 

		cible: gestion-client.php 						
 -->

<!-- param&egrave;tre &eacute;mis:        -session_id         le num&eacute;ro de la session
							-fermer				indique si le dossier est ferm&eacute;
							-code_membre		le code du membre

	 param&egrave;tre re&ccedil;evable :  -session_id         le num&eacute;ro de la session
	 						-organisme			le nom de l'organisme
							-nom 				le nom du client
							-prenom				le prenom du client
 -->
 <head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Liste des clients</title>
<body>

<?php 

//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("../outils/gui.php");
require("../outils/session.php");
require("../outils/mise_en_page.php");
require("../historique.php");

//V&eacute;rifier si la session est valide.
$Bsession_id = $_GET["Bsession_id"];
verifierSession($Bsession_id);

//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if (($privilege_base != 2) and ($privilege_base != 1))
	die("Vous n'avez pas les droits!");


	
	$type = $_GET['type'];
  $organisme = $_GET['organisme'];
  $nom = $_GET['nom'];
  $prenom = $_GET['prenom'];
	
	
	
	
	//FONCTION AFFICHER R&Eacute;SULTAT 
function afficher_resultat($Bsession_id,$num,$result,$organisme,$nom,$prenom)
{ 
	if ($num)
	{
		historique("../historique.txt","LISTE DES CLIENTS",$Bsession_id);
		print("<center><table cellspacing=0 cellpadding=0 width=750px border=0>");
		print("<tr><td bgcolor=white width=27px><img src=coin-haut-gauche.gif></td>");
		print("<td bgcolor=#636300><center><font face=Arial,Helvetica size=3 color=white><b>Recherche de client</b></td>");
		print("<td bgcolor=white width=27px><img src=coin-haut-droit.gif></td>");
		print("</td></tr></table>");	
		
		print ("<table cellspacing=0 cellpadding=0 width=750px border=0>\n");
		print("<tr><td colspan=5 bgcolor=#E7EFCE>");	
		print("<center>Cette liste contient les dossiers des clients r&eacute;pondant au crit&egrave;re de recherche ".$organisme." pour l'organisme, ".$nom." pour le nom et ".$prenom."pour le pr&eacute;nom.<br>");
		
		//organisme		
		print("<tr><td bgcolor=#D6E4AC>");
		print("<b>Organisme<br><br>");
		print("</td>");

		//nom
		print("<td bgcolor=#C8DB8D>");
		print("<b>Nom<br><br>");
		print("</td>");

		//pr&eacute;nom
		print("<td bgcolor=#D6E4AC>");
		print("<b>Pr&eacute;nom<br><br>");
		print("</td>");
		
		//type
		print("<td bgcolor=#C8DB8D>");
		print("<b>Type<br><br>");
		print("</td>");
		
		//tel residence
		print("<td bgcolor=#D6E4AC>");
		print("<b><div align=right>T&eacute;l&eacute;phone du contact<br><br>");
		print("</td>");
		print("</tr>");

		// Affiche les r&eacute;sultats de la requ&ecirc;te
		while ($row = mysqli_fetch_row($result))
		{
			$organisme = $row[0]; 
			$nom = $row[1];
			$prenom = $row[2];
			$code_client = $row[3];
			$client_tel_reside = $row[4];
			$type = $row[5];
			print ("<tr>\n");
			$i = 0;
			
			// affiche l'organisme
			print("<td bgcolor=#D6E4AC>");
			print("<a href=\"gestion-client.php?Bsession_id=$Bsession_id&code_client=$code_client\">");
			print($organisme);
			print("</a>");
			print("</td>");
			
			// affiche le nom
			print("<td bgcolor=#C8DB8D>");
			print($nom);
			print("</td>");
		
			// affiche le pr&eacute;nom
			print("<td bgcolor=#D6E4AC>");
			print($prenom);
			print("</td>");
			
			// affiche le type
			print("<td bgcolor=#C8DB8D>");
			print($type);
			print("</td>");
			
			// affiche le tel
			print("<td bgcolor=#D6E4AC><div align=right>");
			print($client_tel_reside);
			print("</div></td>");
			
		}
		print ("</table>\n");
		
print("<center><table cellspacing=0 cellpadding=0 width=750px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-bas-gauche.gif></td>");
print("<td bgcolor=#636300 width=746px></td>");
print("<td bgcolor=white width=27px><img src=coin-bas-droit.gif></td>");
print("</tr></table>");		
		
		
		// lib&eacute;rer la m&eacute;moire		
		((mysqli_free_result($result) || (is_object($result) && (get_class($result) == "mysqli_result"))) ? true : false);
	} 
	else
	{		
		print ("<br>Pas de r&eacute;sultats<br>");
	}
} 
	
	
	
	
	
	
	
	
	
	
	
	
	
	
// ******************************************************************************************************
// recherche dans la table client et ci &agrave; partir de organisme						*********************
// ******************************************************************************************************
	
//Afficher le titre de la page.
print ("<br><br>");	

if ($type == 1)
{

	if (!empty($organisme))
	{
		
		//requ&ecirc;te
		$sql = "select organisme, nom, prenom, code_client, client_tel_reside, type 
				from base_clients
				where base_clients.organisme like '$organisme'
				ORDER BY organisme;";

		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("ne peut faire la liste 1");
		$num = mysqli_num_rows($result);
	
		$nom = '[TOUS] ';
		$prenom = '[TOUS] ';	
		
		afficher_resultat($Bsession_id,$num,$result,$organisme,$nom,$prenom);	
		
	}	
	else
	{		
		print ("<b><br><center>Veuillez entrer un terme pour la recherche!<br></b></center>");
	}	
}

// ******************************************************************************************************
// recherche dans la table client et ci &agrave; partir de nom ou prenom					*********************
// ******************************************************************************************************	

if ($type == 2)
{

	if (!empty($nom) or !empty($prenom))
	{
		//requ&ecirc;te
		$sql = "select organisme, nom, prenom, code_client, client_tel_reside, type from base_clients";
	
		//si nom et prenom
		if (!empty($nom) and !empty($prenom))
		{
			$sql = $sql." where base_clients.nom = '$nom' and base_clients.prenom = '$prenom';";
			$organisme = '[TOUS] ';
		
		}
	
		//si seulement nom	
		if (!empty($nom) and empty($prenom))
		{
			$sql = $sql." where base_clients.nom like '$nom';";
			$organisme = '[TOUS] ';
			$prenom = '[TOUS] ';
		}
	
		//si seulement prenom	
		if (empty($nom) and !empty($prenom))
		{
			$sql = $sql." where base_clients.prenom like '$prenom';";
			$organisme = '[TOUS] ';
			$nom = '[TOUS] ';
		}

		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("ne peut faire la liste 1");
		$num = mysqli_num_rows($result);
		
		afficher_resultat($Bsession_id,$num,$result,$organisme,$nom,$prenom,$code_client);		
	
	}	
	else
	{		
		print ("<b><br><center>Veuillez entrer un terme pour la recherche!<br></b></center>");
	}
}
 
 

 
 
//BAS DE PAGE*****************************************************************

print("<br><hr><table width=100%><tr><td width=50%>");
print("<div align=right>");
	//Afficher le bouton de retour au menu client.
	print("<form action=\"client.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"post\" name=\"client\">");
	print("<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">");
	print("<input type=\"submit\" name=\"menu_client\" value=\"Menu client\"></form>");
print("</td><td width=50%>");
print("<div align=left>");	
	//Afficher le bouton de retour au menu principal.
	print("<form action=\"../menu-base.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"post\" name=\"principal\">");
	print("<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">");
	print("<input type=\"submit\" name=\"menu_principal\" value=\"Menu Principal\"></form>");
print("</td><tr></table>");	

	
	




	
?>

</body>
</html>	
	
	
	
	
